/*
 * @Author: WuXiangNan
 * @Date: 2021-03-04 16:31:15
 * @LastEditTime: 2021-03-04 17:58:43
 * @LastEditors: WuXiangNan
 * @Description: 人员管理
 */
import 'package:flutter/material.dart';
import 'package:wisdom_cli/wisdom_cli.dart';
import './list_item.dart';

class MemberManagePage extends StatelessWidget {
  const MemberManagePage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return _PageView();
  }
}

class _PageView extends StatefulWidget {
  _PageView({Key? key}) : super(key: key);

  @override
  __PageViewState createState() => __PageViewState();
}

class __PageViewState extends State<_PageView> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        WSearch(
          hintText: '请输入员工姓名',
        ),
        WisScrollView(
          key: GlobalKey<WisScrollViewState>(),
          slivers: [
            WisSliverList.childBuilder(
                childCount: 3,
                builder: (_, i) {
                  return InkWell(
                    child: ListViewItem(),
                  );
                }),
          ],
        ).asExpanded(),
      ],
    );
  }
}
